Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.rproject.ant
Class AntRMainLoopCallbacks

    java.lang.Object
      org.rproject.ant.AntRMainLoopCallbacks

All Implemented Interfaces:
  REngineCallbacks, REngineOutputInterface

    public class AntRMainLoopCallbacks

extends java.lang.Object
implements REngineCallbacks, REngineOutputInterface

REngine callbacks. Only output callbacks are implemented since ant is supposed to be used non interactively

Author:
  Romain Francois

Field Summary
`private MessageListener` | `listener` The message listener that grabs the messages

Constructor Summary
`AntRMainLoopCallbacks()`

Method Summary
`void` | `RFlushConsole(REngine eng)` Call the flush method of the associated message listener
`void` | `RShowMessage(REngine eng, java.lang.String text)` Send the message to the message listener
`void` | `RWriteConsole(REngine eng, java.lang.String text, int oType)` called when R prints output to the console.
`void` | `setMessageListener(MessageListener listener)` Set the message listener (typically a instance of `RTask`)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listener

    private MessageListener listener

  The message listener that grabs the messages

Constructor Detail

### AntRMainLoopCallbacks

    public AntRMainLoopCallbacks()

Method Detail

### RWriteConsole

    public void RWriteConsole(REngine eng,
                              java.lang.String text,
                              int oType)

  called when R prints output to the console.

  Specified by:
    `RWriteConsole` in interface `REngineOutputInterface`
  Parameters:
    `eng` - calling engine
    `text` - text to display in the console
    `oType` - output type (0=regular, 1=error/warning)

### RShowMessage

    public void RShowMessage(REngine eng,
                             java.lang.String text)

  Send the message to the message listener

  Specified by:
    `RShowMessage` in interface `REngineOutputInterface`
  Parameters:
    `eng` - calling engine
    `text` - text to display in the message

### RFlushConsole

    public void RFlushConsole(REngine eng)

  Call the flush method of the associated message listener

  Specified by:
    `RFlushConsole` in interface `REngineOutputInterface`
  Parameters:
    `eng` - calling engine

### setMessageListener

    public void setMessageListener(MessageListener listener)

  Set the message listener (typically a instance of `RTask`)

  Parameters:
    `listener` - a message listener

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Romain Francois francoisromain@free.fr